complexType "PartyPortfolioName"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-doc-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | partyReference?, portfolioName*
</...>

Content Model Elements (2):

  partyReference (in partyPortfolioName), | portfolioName (in partyPortfolioName)

All Direct / Indirect Based Elements (1):

  partyPortfolioName

Known Usage Locations

- As direct type of elements (1):
  partyPortfolioName

Annotation
A type to represent a portfolio name for a particular party.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="PartyPortfolioName"> <xsd:sequence> <xsd:element minOccurs="0" name="partyReference" type="PartyReference"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="portfolioName" type="PortfolioName"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
partyReference

  Type: | PartyReference, empty content

  A pointer style reference to a party identifier defined elsewhere in the document. The party referenced has allocated the trade identifier.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="partyReference" type="PartyReference"/>

portfolioName

  Type: | PortfolioName, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="portfolioName" type="PortfolioName"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.